summaryrefslogtreecommitdiffstats
path: root/tools/regression/atm/RunTest.sh
diff options
context:
space:
mode:
authorharti <harti@FreeBSD.org>2004-01-29 16:01:57 +0000
committerharti <harti@FreeBSD.org>2004-01-29 16:01:57 +0000
commitfad6079588e109e2c9f179a2a087db43be277b02 (patch)
treecac0973a6094677902dc155f1ca78a332e5bb4ce /tools/regression/atm/RunTest.sh
parent7dac4543ee8f303b86dcc2501f1f55f0c0b96a55 (diff)
downloadFreeBSD-src-fad6079588e109e2c9f179a2a087db43be277b02.zip
FreeBSD-src-fad6079588e109e2c9f179a2a087db43be277b02.tar.gz
These scripts run the protocol test suites for the SSCOP, SSCF-UNI and
UNI protocols. The actual test suites are not in these directories because of their size. One needs to install the atmsupport port (the script will remind you, if it cannot find the port). The SSCOP test suite includes booth the ETSI and the ITU-T test suite, the SSCF-UNI test suite is home grown and the UNI test suite is the P2MP ETSI test suite. Others may follow.
Diffstat (limited to 'tools/regression/atm/RunTest.sh')
-rw-r--r--tools/regression/atm/RunTest.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/tools/regression/atm/RunTest.sh b/tools/regression/atm/RunTest.sh
new file mode 100644
index 0000000..ab34104
--- /dev/null
+++ b/tools/regression/atm/RunTest.sh
@@ -0,0 +1,43 @@
+#!/bin/sh
+# $FreeBSD$
+
+. ./Funcs.sh
+
+#
+# Just check the legality of the options and pass them along
+#
+args=`getopt b:hq $*`
+if [ $? -ne 0 ] ; then
+ fatal "Usage: $0 [-q] [-b <localbase>]"
+fi
+
+usage() {
+ msg "Usage: RunTest.sh [-hq] [-b <localbase>]"
+ msg "Options:"
+ msg " -h show this info"
+ msg " -b <localbase> localbase if not /usr/local"
+ msg " -q be quite"
+ exit 0
+}
+
+options=""
+set -- $args
+for i
+do
+ case "$i"
+ in
+
+ -h) usage;;
+ -b) options="$options $i $2" ; shift; shift;;
+ -q) options="$options $i" ; shift;;
+ --) shift; break;;
+ esac
+done
+
+(cd proto_uni ; ./RunTest.sh -u $options)
+(cd proto_sscop ; ./RunTest.sh -u $options)
+(cd proto_sscfu ; ./RunTest.sh -u $options)
+
+(cd proto_uni ; ./RunTest.sh $options)
+(cd proto_sscop ; ./RunTest.sh $options)
+(cd proto_sscfu ; ./RunTest.sh $options)
OpenPOWER on IntegriCloud